Get SIWE Address Book Challenge
curl --request POST \
--url https://api.ondoperps.xyz/v1/auth/erc-4361/address_book/get_challenge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletAddress": "0x505D602729B932959935C1efd350Cea74527d3D1",
"chainId": "43114",
"withdrawalAddress": "0x054A94b753CBf65D1Bc484F6D41897b48251fbfF"
}
'import requests
url = "https://api.ondoperps.xyz/v1/auth/erc-4361/address_book/get_challenge"
payload = {
"walletAddress": "0x505D602729B932959935C1efd350Cea74527d3D1",
"chainId": "43114",
"withdrawalAddress": "0x054A94b753CBf65D1Bc484F6D41897b48251fbfF"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
walletAddress: '0x505D602729B932959935C1efd350Cea74527d3D1',
chainId: '43114',
withdrawalAddress: '0x054A94b753CBf65D1Bc484F6D41897b48251fbfF'
})
};
fetch('https://api.ondoperps.xyz/v1/auth/erc-4361/address_book/get_challenge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "chg_ab12cd34ef56",
"message": "Sign this message to add withdrawal address 0x054A94b753CBf65D1Bc484F6D41897b48251fbfF to your address book."
}
}{
"success": false,
"error": "Description of the error",
"error_code": "auth_missing"
}{
"success": false,
"error": "Description of the error",
"error_code": "account_not_allowed"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Auth
Get SIWE Address Book Challenge
Get a Sign-In with Ethereum challenge for adding a withdrawal address.
POST
/
v1
/
auth
/
erc-4361
/
address_book
/
get_challenge
Get SIWE Address Book Challenge
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The wallet address requesting to add a withdrawal address
Example:
"0x505D602729B932959935C1efd350Cea74527d3D1"
EVM chain ID (1=Ethereum, 43114=Avalanche)
Available options:
1, 43114 Example:
"43114"
The address to add to the withdrawal address book
Example:
"0x054A94b753CBf65D1Bc484F6D41897b48251fbfF"
Response
Challenge for signing
Whether the request was successful
Example:
true
Error message, present only on failure
Example:
""
Semantic error code. See each endpoint's error responses for the specific codes it can return.
Deprecation notice, if applicable
Example:
""
Show child attributes
Show child attributes
⌘I